Qyra
Referencev2

List content

Get content (charts, dashboards, spaces)

GET/api/v2/content

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
projectUuidsarray[string]No
spaceUuidsarray[string]No
uuidsarray[string]No
parentSpaceUuidstringNo
contentTypesarray[string]No
pageSizenumberNo
pagenumberNo
searchstringNo
sortBystringNo
sortDirectionstringNo
includePersonalDataAppsbooleanNo
dataAppVizsFilterstringNo
ownerUserUuidsarray[string]No
sharedWithMebooleanNo

Responses

200 — Success

{
  "results": {
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "totalResults": 0,
      "totalPageCount": 0
    },
    "data": [
      {
        "contentType": "chart",
        "uuid": "string",
        "slug": "string",
        "name": "string",
        "description": "string",
        "createdAt": "2024-01-01T00:00:00.000Z",
        "createdBy": {
          "lastName": "string",
          "firstName": "string",
          "uuid": "string"
        },
        "lastUpdatedAt": "2024-01-01T00:00:00.000Z",
        "lastUpdatedBy": {
          "lastName": "string",
          "firstName": "string",
          "uuid": "string"
        },
        "project": {
          "name": "string",
          "uuid": "string"
        },
        "organization": {
          "name": "string",
          "uuid": "string"
        },
        "space": {
          "name": "string",
          "uuid": "string"
        },
        "pinnedList": {
          "uuid": "string"
        },
        "views": 0,
        "firstViewedAt": "2024-01-01T00:00:00.000Z",
        "verification": {
          "verifiedAt": "2024-01-01T00:00:00.000Z",
          "verifiedBy": {
            "lastName": "string",
            "firstName": "string",
            "userUuid": "string"
          }
        },
        "directAccessRoles": [
          "viewer"
        ],
        "source": "dbt_explore",
        "chartKind": "line",
        "dashboard": {
          "name": "string",
          "uuid": "string"
        }
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}